All sections

Enterprise activity types

Unless stated otherwise, this page refers to Ukrainian companies and individual entrepreneurs and uses identifiers from Ukrainian public registries.

This request returns the enterprise NACE codes together with risk assessments for each activity type under different methodologies, including the EBRD methodology.

GET /api/v1/enterprises/{registry_id}/activity-types

The response returns a short enterprise block and a list of NACE codes with risk assessments under different methodologies.

The registry_id parameter in the request path is required. It is the enterprise identifier.

Example request

$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/activity-types" \
  -H "Authorization: Bearer $ESG_API_TOKEN" \
  -H 'Accept: application/json'

Example response

{
  "results": {
    "enterprise": {
      "type": "company",
      "registry_id": "00178353"
    },
    "items": [
      {
        "code": "20.59",
        "name": "Виробництво іншої хімічної продукції",
        "name_full": "Виробництво іншої хімічної продукції, н.в.і.у.",
        "is_primary": true,
        "schemes": [
          {
            "code": "ebrr",
            "name": "ЄБРР",
            "is_risk_by_component": true,
            "risks": {
              "general": {
                "code": "B+",
                "name": "Високий ризик",
                "color": "danger"
              },
              "environmental": {
                "code": "B+",
                "name": "Високий ризик",
                "color": "danger"
              },
              "social": {
                "code": "B+",
                "name": "Високий ризик",
                "color": "danger"
              }
            }
          }
        ]
      }
    ]
  },
  "stats": { "..." }
}

Response fields

results.items[]

  • code: NACE code.
  • name: short NACE name.
  • name_full: full NACE name.
  • is_primary: indicates that this is the enterprise primary NACE.
  • schemes[]: list of methodologies under which this NACE was assessed.
  • schemes[].code: technical methodology code.
  • schemes[].name: methodology name.
  • schemes[].is_risk_by_component: indicates that risks are split by component.
  • schemes[].risks: risk assessment block for this methodology.
  • schemes[].risks.general.code: general risk code.
  • schemes[].risks.general.name: general risk name.
  • schemes[].risks.general.color: general risk color.
  • schemes[].risks.environmental.code: environmental risk code.
  • schemes[].risks.environmental.name: environmental risk name.
  • schemes[].risks.environmental.color: environmental risk color.
  • schemes[].risks.social.code: social risk code.
  • schemes[].risks.social.name: social risk name.
  • schemes[].risks.social.color: social risk color.

Participate in testing the ESG company profile
in the SaveEcoBot system in Ukraine

Make your ESG analysis flawless!